MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000947XdebugUsage problems (Wrong Results)public2013-05-13 16:192013-05-22 04:51
ReporterRyuto 
Assigned Toderick 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS Version2.6.32-5-686
Product Version2.2.1 
Target Version2.2.3Fixed in Version2.2.3 
Summary0000947: Newlines converted when html_errors = 0
DescriptionNewlines in strings are converted to "\r\n" when "html_errors" is 0.
Steps To Reproduceini_get('html_errors');
$t = 'aze
rty\r\nqwerty';
var_dump($t);

Output :
string(22) "aze\r\n rty\r\nqwerty"
TagsNo tags attached.
Operating SystemLinux
PHP Version5.4.10-5.4.14
Attached Files

- Relationships

-  Notes
(0002460)
Ryuto (reporter)
2013-05-14 09:22

Sorry, the first line is
ini_set('html_errors', 0);

- Issue History
Date Modified Username Field Change
2013-05-13 16:19 Ryuto New Issue
2013-05-14 09:22 Ryuto Note Added: 0002460
2013-05-19 19:31 derick Status new => closed
2013-05-19 19:31 derick Assigned To => derick
2013-05-19 19:31 derick Resolution open => fixed
2013-05-19 19:31 derick Fixed in Version => 2.2.3
2013-05-22 04:51 derick Target Version => 2.2.3
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker